Bug 669644 - Review Request: perl-Test-Inter - Framework for more readable interactive test scripts
Summary: Review Request: perl-Test-Inter - Framework for more readable interactive tes...
Keywords:
Status: CLOSED DUPLICATE of bug 633879
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 669619
TreeView+ depends on / blocked
 
Reported: 2011-01-14 09:25 UTC by Marcela Mašláňová
Modified: 2011-01-18 08:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-18 08:19:32 UTC
Type: ---
iarnell: fedora-review+


Attachments (Terms of Use)

Description Marcela Mašláňová 2011-01-14 09:25:27 UTC
SPEC: http://mmaslano.fedorapeople.org/review/perl-Test-Inter.spec
SRPM: http://mmaslano.fedorapeople.org/review/perl-Test-Inter-1.01-1.fc14.src.rpm
Description: This is another framework for writing test scripts. It is loosely
inspired by Test::More, and has most of it's functionality, but it is
not a drop-in replacement.Test::More (and other existing test
frameworks) suffer from two weaknesses, both of which have prevented me
from ever using them: None offer the ability to access specific tests in
a reasonably interactive fashion

http://koji.fedoraproject.org/koji/taskinfo?taskID=2720826

Comment 1 Iain Arnell 2011-01-16 08:30:48 UTC
+ source files match upstream.  
    445166a7472e609b96e4474d95552827  Test-Inter-1.01.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
    (but needs a space after the period in 3rd line)

+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text included.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2720826

+ package installs properly.
+ rpmlint has no complaints:
    2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
    perl(Test::Inter) = 1.01
    perl-Test-Inter = 1.01-1.fc15
=
    perl >= 0:5.004
    perl(File::Basename)  
    perl(File::Basename)  
    perl(IO::File)  
    perl(IO::File)  
    perl(:MODULE_COMPAT_5.12.2)  
    perl(strict)  
    perl(vars)  
    perl(warnings)  
+ %check is present and all tests pass.
    + ./Build test
    t/file.t .......... ok
    t/is.t ............ ok
    t/ok.t ............ ok
    t/pod.t ........... ok
    t/pod_coverage.t .. ok
    t/require_ok.t .... ok
    t/skip_all.t ...... skipped: testing skip_all
    t/tests.t ......... ok
    t/use_ok.1.t ...... ok
    t/use_ok.2.t ...... ok
    t/use_ok.3.t ...... ok
    All tests successful.
    Files=11, Tests=60,  0 wallclock secs ( 0.03 usr  0.02 sys +  0.34 cusr  0.06 csys =  0.45 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


There's a space missing after the period in 3rd line of %description. And the explicit Requires for perl(File::Basename) and perl(IO::File) are unnecessary - both are detected automatically.

APPROVED.

Comment 2 Marcela Mašláňová 2011-01-17 07:46:27 UTC
Thank, I'll fix it.

New Package SCM Request
=======================
Package Name: perl-Test-Inter
Short Description: Framework for more readable interactive test scripts
Owners: mmaslano psabata ppisar
Branches: F-13
InitialCC: perl-sig

Comment 3 Jens Petersen 2011-01-18 07:43:53 UTC
I guess this package was formerly orphaned/retired?
https://admin.fedoraproject.org/pkgdb/acls/name/perl-Test-Inter
Then you should use a "Package Change Request".

You don't want an f14 branch?

Comment 4 Jens Petersen 2011-01-18 07:44:45 UTC
That still doesn't explain:
http://koji.fedoraproject.org/koji/packageinfo?packageID=perl-Test-Inter

Comment 5 Marcela Mašláňová 2011-01-18 08:19:32 UTC
Hm, looks like this is duplicate of 633879. Sorry for useless review :(

*** This bug has been marked as a duplicate of bug 633879 ***


Note You need to log in before you can comment on or make changes to this bug.